TAAS - Feature #125

Opening Balance
01/12/2023 04:29 PM - Anonymous

Status: Testing Done Start date: 01/13/2023
Priority: Normal Due date:

Assignee: Vivekp V % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Journal

Description

Coding Opening Balance

History

#1 - 01/14/2023 11:43 AM - Muhasin PU
- Status changed from Particialy Coding Done to Coding Started
- Start date changed from 01/12/2023 to 01/13/2023

#2 - 02/09/2023 09:39 AM - Muhasin PU
- Status changed from Coding Started to Particialy Coding Done

Log Table insertion & Cheque Detail Table insertion Pending.

#3 - 02/09/2023 02:49 PM - Amal Cyriac

- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.FIX BUGS ON "CREATED BY" LABEL
(ALIGNMENET,UPDATION BUGS)

2.DEBIT & CREDIT POP-UP > RESIZE ACCOUNT INPUT BOX

3.DEBIT & CREDIT POP-UP > EDI MODE > ROE BUGS / IF CHOOSER BASIC CURRENCY PREVENT ROE IN POP-UP

4.CALCULATION BUGS (NaN)

#4 - 02/25/2023 02:13 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

BUG FIXED.

#5 - 02/28/2023 04:49 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.DETAILS --> Set required alert & validation on date
2.Remove required validation from SERVIC & HOTEL
3.Fix errors on Number Of Pax

(showing error alert while No of Pax column empty)
4.Add precision on grid

5.Use proper color for button

(Right side button bar--> Debit Credit & Details )
#6 - 03/01/2023 04:56 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

BUG FIXED & UPDATED.

#7 - 05/13/2023 05:31 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Add code on grid

(Account coloumn)

2.Add Dr/Cr prefix on 'Amount in SAR' column
3.Add precision

(Grid ,Popup)

4.Fix bugs on grid summary - missing after save
(focus out)

5.fix bugs on attachment Popup - Back ground blur

#8 - 05/18/2023 12:13 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

e BUGS FIXED.

#9 - 05/30/2023 06:38 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set validations on inline check box

(Branch, Narration,Note)

2.Add precision on grid & Charge

3.Fix bugs on Auto completion field - Sub Ledger
(Input enter on both Code & Name )

4 Error on console when focus out from Charge & Auto completion fields

5.Date change to previous on each update

( Details)

6.GUI become not responsive when tap on edit icon on details list
7.Fix bugs on auto completion - Hotel

(Not working)

#10 - 05/31/2023 04:30 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

FIXED.

Insertion in Log Table Pending.
Cheque Details Table Isertion Pending

#11 - 06/24/2023 06:06 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED-

1. Add Mandatory fields in Details
2. Change document number*DOCNO*
3. Add tool tips in debit and credit side
4. Add space in the posting status options along with the bracket
5. change name in the approved by name

#12 - 06/24/2023 06:06 PM - unnikannan S

- Assignee changed from Muhasin PU to Junaid M

#13 - 10/17/2023 03:02 PM - Anil KV
- Assignee changed from Junaid M to Vivekp V

#14 - 11/01/2023 06:56 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE FIXED

Add Mandatory fields in Details

Change document number*DOCNO*

Add tool tips in debit and credit side

Add space in the posting status options along with the bracket
change name in the approved by name

Gui Changes

#15 - 11/15/2023 12:11 PM - unnikannan S
TESTING DONE

#16 - 11/15/2023 12:32 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ISSUE IN DEBIT,CREDIT SIDE ACCOUNTS DROP DOWN

2.NOT SHOWING MAIN LEDGER IN POSTING

3.NOT SHOWING MAIN LEDGER WHILE ADDING VIRTUAL CARD

4.MISSING ADDED CARDS DETAILS AFTER SAVE AND SEARCHING IN EDIT MODE
5.ERROR WHILE CLEARING DEBIT,CREDIT AND DOC DATE-ADD VALIDATION FOR DATE
6.MISSING ADDED SUB LEDGER,SUB CUSTOMER DETAILS IN SAVE

7.SHOWING DOC NUMBER REQUIRED AFTER SAVING OPENING BALANCE AND UPDATE
8.MISSING PRECISION IN DETAILS TAB FARE

9.NOT CLEARING INFO MESSAGE IN REFRESH

10.ADD MANDATORY FIELD IN DOC AND POSTING SATATUSES

11.CHANGE IN ADDED COLUMNS OF FILE NO,ENQUIRY NO,XO NO AUTOMATICALLY
12.REMOVE CODE FROM COUNTRY NAME (DETAILS TAB)

13.CANT DELETE RECEIVED CHEQUE DATA IN (DR,CR)

#17 - 11/16/2023 11:26 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE Fixed

1.ISSUE IN DEBIT,CREDIT SIDE ACCOUNTS DROP DOWN (ROE,CHEQUE DROP DOWN,CARDS)fixed
2.NOT SHOWING MAIN LEDGER IN POSTING (FIXED)

3.NOT SHOWING MAIN LEDGER WHILE ADDING VIRTUAL CARD (COMMON)

4.MISSING ADDED CARDS DETAILS AFTER SAVE AND SEARCHING IN EDIT MODE fixed

5.ERROR WHILE CLEARING DEBIT,CREDIT AND DOC DATE-ADD VALIDATION FOR DATE Error (converting value {null} to type
'System.DateTime'. Path 'mdlOpeningBalance.datDocument’, line 1, position 4102.)fixed

6.MISSING ADDED SUB LEDGER,SUB CUSTOMER DETAILS IN SAVE (FIXED)

7.SHOWING DOC NUMBER REQUIRED AFTER SAVING OPENING BALANCE AND UPDATE (FIXED)
8.MISSING PRECISION IN DETAILS TAB FARE (FIXED)

9.NOT CLEARING INFO MESSAGE IN REFRESH (FIXED)

10.ADD MANDATORY FIELD IN DOC AND POSTING SATATUSES (FIXED)

11.CHANGE IN ADDED COLUMNS OF FILE NO,ENQUIRY NO,XO NO AUTOMATICALLY fixed
12.REMOVE CODE FROM COUNTRY NAME (DETAILS TAB)(FIXED)

13.CANT DELETE RECEIVED CHEQUE DATA IN (DR,CR) fixed
#18 - 11/20/2023 12:34 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CHANGING ADDED PERIOD LPO DATES IN DETAILS TO PAST DATE
2.INCREASE IN DETAILS TAB MANDATORY DATE WHILE UPDATING
3.MISSING ADDED SECTOR AND CLASS DETAILS IN TICKET SERVICE AFTER SAVE SHOWING IT ONLY IN FOCUS OUT
4 .NOT CLEARING ADDED CARD,CHEQUE DETAILS AFTER CLEARING AND ADDING A NEW DR,CR FOUND POS DETAILS IN ACCOUNTS
DROP DOWN
5.MISSING ADDED SUB LEDGER/ACCOUNT/SUB CUSTOMER IN FOCUS OUT
.CLEAR MAIN LEDGER WHILE CLEARING ACCOUNTS
.ADD BLANK OPTON IN CASH COUNTER/COST CENTRE
.MISSING ADDED CORPORATE CARD DETAILS IN EDIT MODE
.ADD CREDIT/DEBIT CARD MANDATORY POS/AND MANDATORY DETAILS WHILE ADDING CARDS

W 0 ~J o

#19 - 11/23/2023 05:20 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE FIXED

1.CHANGING ADDED PERIOD LPO DATES IN DETAILS TO PAST DATE

2.INCREASE IN DETAILS TAB MANDATORY DATE WHILE UPDATING

3.MISSING ADDED SECTOR AND CLASS DETAILS IN TICKET SERVICE AFTER SAVE SHOWING IT ONLY IN FOCUS OUT

4.NOT CLEARING ADDED CARD,CHEQUE DETAILS AFTER CLEARING AND ADDING A NEW DR,CR FOUND POS DETAILS IN ACCOUNTS
DROP DOWN

5.MISSING ADDED SUB LEDGER/ACCOUNT/SUB CUSTOMER IN FOCUS OUT

6.CLEAR MAIN LEDGER WHILE CLEARING ACCOUNTS

7.ADD BLANK OPTON IN CASH COUNTER/COST CENTRE

8.MISSING ADDED CORPORATE CARD DETAILS IN EDIT MODE

9.ADD CREDIT/DEBIT CARD MANDATORY POS/AND MANDATORY DETAILS WHILE ADDING CARDS

#20 - 01/03/2024 02:49 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CLEAR ADDED SUB ACCOUNTS ON DEBIT/CREDIT AFTER UPDATE
#21 - 01/03/2024 05:42 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE FIXED

1.CLEAR ADDED SUB ACCOUNTS ON DEBIT/CREDIT AFTER UPDATE

#22 - 01/04/2024 10:42 AM - unnikannan S
TESTING DONE

#23 - 01/04/2024 10:43 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.ADD VALIDATION FOR CARD POS/PG MANDATORY FIELDS

2.ISSUE WHILE CHOOSING BANK DEPOSIT/CHEQUE IN DR/CR FIELD
3.ERROR WHILE CHANGING DOC DATE IN PAST/FUTURE YEAR
#24 - 01/09/2024 03:05 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.ADD VALIDATION FOR CARD POS/PG MANDATORY FIELDS (DONE)
2.ISSUE WHILE CHOOSING BANK DEPOSIT/CHEQUE IN DR/CR FIELD
3.ERROR WHILE CHANGING DOC DATE IN PAST/FUTURE YEAR (DONE)

#25 - 02/21/2024 12:40 PM - unnikannan S
ISSUE FOUNDED

1.ISSUE WHILE CHOOSING BANK DEPOSIT/CHEQUE IN DR/CR FIELD
2.CORRECT TRANSLATION OF DOC NO

#26 - 02/21/2024 12:40 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#27 - 02/21/2024 12:51 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.ISSUE WHILE CHOOSING BANK DEPOSIT/CHEQUE IN DR/CR FIELD
2.CORRECT TRANSLATION OF DOC NO

#28 - 02/22/2024 11:48 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.CHEQUE DATE VALIDATION
2.ERROR WHILE CLEARING FOP IN CASE OF CHEQUE/DEPOSIT

P0001: jsnSpOutRes: {"sinSglCustomStatus" : -1, "strSglCustomStatusCode" : "ERROR", "strSglCustomMessage" : "O
pening Balance Save Failed", "strSglCustomErrorType" : "DATABASE_SYSTEM_ERROR", "strSqglCustomErrorCode" : null

"strSglSysMessage" : "invalid transaction termination", "strSglSysExceptionDetail" : "", "strSglSysException
Hint" : "PL/pgSQL function sp_insert_or_update_ob_details_base (jsonb,smallint) line 248 at ROLLBACK\nSQL state
ment \"CALL sp_insert_or_update_ob_details_base (jsnObDetails, sinIsUpdate::SMALLINT, jsnSpOutRes)\"\nPL/pgSQL
function sp_insert_or_update_opening balance (jsonb, jsonb[], jsonb[], jsonb[]) line 80 at CALL", "binSglPk" : 93,

"binSglLogPk" : 0, "strSglDocNo" : null, "dctSglOtherData" : {"binDocumentId": "93", "strDocumentNo": "OB/003

"

#29 - 02/22/2024 12:36 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.CHEQUE DATE VALIDATION
2.ERROR WHILE CLEARING FOP IN CASE OF CHEQUE/DEPOSIT

#30 - 02/22/2024 02:50 PM - unnikannan S
TESTING DONE

#31 - 03/08/2024 11:36 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50
ISSUE FOUNDED

1.SHOW VALD INFO MESSAGE

#32 - 03/08/2024 12:52 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE FIXED

1.SHOW VALD INFO MESSAGE

#33 - 03/18/2024 10:06 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.ADJUST LENGTH ->CURRENCY,REFERENCE DOC NO,DATE IN LIST

#34 - 03/18/2024 04:19 PM - Vivekp V
ISSUE FIXED

1.ADJUST LENGTH ->CURRENCY,REFERENCE DOC NO,DATE IN LIST

#35 - 03/18/2024 04:20 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#36 - 04/09/2024 02:56 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Period Date Alligment In Details Tab

2.Fix Bugs On Focus Out (Main Ledger,Bank Cheque Box)

3.Clear invalid Datas While Focus Out From Pax Profile Field

4.Show Validation After Clearing Mandatory Field Datas After Save/Update
5.Blocking Deletion

#37 - 04/09/2024 05:39 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED
1.Fixed-Fix Period Date Alligment In Details Tab

2.Fixed-Bugs On Focus Out (Main Ledger,Bank Cheque Box)
3.Fixed-Clear invalid Datas While Focus Out From Pax Profile Field

4 fixed Show Validation After Clearing Mandatory Field Datas After Save/Update

5.Fixed-Blocking Deletion
6.fixed Show Codes In Cost Centre/Cash Counter/POS Fields

7.Add Precision For Service Charge Field(field used in receipt also so need confirmation)

#38 - 04/09/2024 06:43 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#39 - 04/15/2024 03:53 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Fixed-Fix Period Date Alligment In Details Tab
2.Fixed-Bugs On Focus Out (Main Ledger,Bank Cheque Box)
3.Fixed-Clear invalid Datas While Focus Out From Pax Profile Field

4 fixed Show Validation After Clearing Mandatory Field Datas After Save/Update

5.Fixed-Blocking Deletion
6.fixed Show Codes In Cost Centre/Cash Counter/POS Fields

7.Add Precision For Service Charge Field(field used in receipt also so need confirmation)

#40 - 04/16/2024 11:36 AM - unnikannan S
TESTING DONE

#41 - 04/16/2024 11:37 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Bugs On Focus Out In Case Of Bank Cheque/Deposit
#42 - 04/16/2024 02:42 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#43 - 04/16/2024 06:15 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Show Validation In Case clearing Mandatory Fields Data After Save
#44 - 04/16/2024 07:18 PM - Vivekp V

ISSUE FIXED

1.Show Validation In Case clearing Mandatory Fields Data After Save
#45 - 04/16/2024 07:19 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#46 - 04/17/2024 11:55 AM - unnikannan S
TESTING DONE

#47 - 04/18/2024 04:25 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

Ul CHANGES

1.Connect-Service Tax
2.Posting-Service Charge,Service Tax

#48 - 04/27/2024 05:15 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70
Ul CHANGES DONE

1.Connect-Service Tax
2.Posting-Service Charge,Service Tax

#49 - 06/06/2024 05:55 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Error On Save While Choosing Paid Cheque Account

#50 - 06/07/2024 12:18 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE fixed

1.Error On Save While Choosing Paid Cheque Account

#51 - 08/30/2024 03:09 PM - Arathy PS
ISSUE FOUND:

1) Add checkbox for department field in both credit and debit side
2) Credit Only or Debit Only cannot be saved (Reverse Control Account needed to be set from Set Mapping Account)

#52 - 08/30/2024 03:09 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#53 - 09/06/2024 02:20 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE FOUND:FIXED

1) Add checkbox for department field in both credit and debit side
2) Credit Only or Debit Only cannot be saved (Reverse Control Account needed to be set from Set Mapping Account)

#54 - 09/10/2024 02:57 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

Ul CHANGE

1.Show An Info Message Default Mapping Account Not Set, Please set Mapping Account (Use “Set Account Mapping™ Module).

#55 - 09/11/2024 11:00 AM - Vivekp V
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

Ul CHANGE DONE

1.Show An Info Message Default Mapping Account Not Set, Please set Mapping Account (Use “Set Account Mapping™ Module).

#56 - 09/11/2024 12:44 PM - unnikannan S
- Status changed from New Changes Coding Done to Testing Done

- % Done changed from 70 to 90
#57 - 03/20/2025 11:39 AM - Theja Ponon
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

#58 - 03/20/2025 11:46 AM - Theja Ponon
- Status changed from Reopen Bugs to Testing Done

- % Done changed from 50 to 90
